Package org.wildfly.plugin.common

## Interface PropertyNames

-     public interface PropertyNames

  Author:
    James R. Perkins

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADD_RESOURCE_FORCE` |
    `static String` | `AUTO_RELOAD` |
    `static String` | `BATCH` |
    `static String` | `BOOTABLE_JAR` |
    `static String` | `BOOTABLE_JAR_INSTALL_CLASSIFIER` |
    `static String` | `BOOTABLE_JAR_NAME` |
    `static String` | `CHANNELS` |
    `static String` | `CHECK_PACKAGING` |
    `static String` | `COMMANDS` |
    `static String` | `DEPLOY_FORCE` |
    `static String` | `DEPLOYMENT_CONTENT_URL` |
    `static String` | `DEPLOYMENT_FILENAME` |
    `static String` | `DEPLOYMENT_NAME` |
    `static String` | `DEPLOYMENT_RUNTIME_NAME` |
    `static String` | `DEPLOYMENT_TARGET_DIR` |
    `static String` | `DOMAIN_CONFIG` |
    `static String` | `FAIL_ON_ERROR` |
    `static String` | `HOST_CONFIG` |
    `static String` | `HOSTNAME` |
    `static String` | `ID` |
    `static String` | `IGNORE_MISSING_DEPLOYMENT` |
    `static String` | `JAVA_HOME` |
    `static String` | `JAVA_OPTS` |
    `static String` | `JBOSS_HOME` |
    `static String` | `MODULE_OPTS` |
    `static String` | `MODULES_PATH` |
    `static String` | `OFFLINE` |
    `static String` | `PASSWORD` |
    `static String` | `PORT` |
    `static String` | `PROFILES` |
    `static String` | `PROPERTIES_FILE` |
    `static String` | `PROTOCOL` |
    `static String` | `RELOAD` |
    `static String` | `RESOLVE_EXPRESSIONS` |
    `static String` | `SCRIPTS` |
    `static String` | `SERVER_ARGS` |
    `static String` | `SERVER_CONFIG` |
    `static String` | `SERVER_GROUPS` |
    `static String` | `SKIP` |
    `static String` | `SKIP_PACKAGE` |
    `static String` | `SKIP_PACKAGE_DEPLOYMENT` |
    `static String` | `SKIP_PROVISION` |
    `static String` | `STARTUP_TIMEOUT` |
    `static String` | `STDOUT` |
    `static String` | `TIMEOUT` |
    `static String` | `USERNAME` |
    `static String` | `WILDFLY_AUTH_CLIENT_CONFIG` |
    `static String` | `WILDFLY_FEATURE_PACK_LOCATION` |
    `static String` | `WILDFLY_IMAGE_BINARY` |
    `static String` | `WILDFLY_LAYERS_CONFIGURATION_FILE_NAME` |
    `static String` | `WILDFLY_ORIGINAL_ARTIFACT_VERSION_RESOLUTION` |
    `static String` | `WILDFLY_PACKAGING_EXTRA_CONTENT_DIRS` |
    `static String` | `WILDFLY_PROVISIONING_DIR` |
    `static String` | `WILDFLY_PROVISIONING_FEATURE_PACKS` |
    `static String` | `WILDFLY_PROVISIONING_FILE` |
    `static String` | `WILDFLY_PROVISIONING_LAYERS` |
    `static String` | `WILDFLY_PROVISIONING_LAYERS_EXCLUDED` |
    `static String` | `WILDFLY_PROVISIONING_LOG_TIME` |
    `static String` | `WILDFLY_PROVISIONING_OFFLINE` |
    `static String` | `WILDFLY_PROVISIONING_OVERWRITE_PROVISIONED_SERVER` |
    `static String` | `WILDFLY_PROVISIONING_RECORD_STATE` |
    `static String` | `WILDFLY_VERSION` |

- - ### Field Detail

    - #### ADD_RESOURCE_FORCE

          static final String ADD_RESOURCE_FORCE

      See Also:
        Constant Field Values

    - #### AUTO_RELOAD

          static final String AUTO_RELOAD

      See Also:
        Constant Field Values

    - #### BATCH

          static final String BATCH

      See Also:
        Constant Field Values

    - #### BOOTABLE_JAR

          static final String BOOTABLE_JAR

      See Also:
        Constant Field Values

    - #### BOOTABLE_JAR_INSTALL_CLASSIFIER

          static final String BOOTABLE_JAR_INSTALL_CLASSIFIER

      See Also:
        Constant Field Values

    - #### BOOTABLE_JAR_NAME

          static final String BOOTABLE_JAR_NAME

      See Also:
        Constant Field Values

    - #### CHANNELS

          static final String CHANNELS

      See Also:
        Constant Field Values

    - #### CHECK_PACKAGING

          static final String CHECK_PACKAGING

      See Also:
        Constant Field Values

    - #### COMMANDS

          static final String COMMANDS

      See Also:
        Constant Field Values

    - #### DEPLOY_FORCE

          static final String DEPLOY_FORCE

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_CONTENT_URL

          static final String DEPLOYMENT_CONTENT_URL

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_FILENAME

          static final String DEPLOYMENT_FILENAME

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_NAME

          static final String DEPLOYMENT_NAME

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_RUNTIME_NAME

          static final String DEPLOYMENT_RUNTIME_NAME

      See Also:
        Constant Field Values

    - #### DEPLOYMENT_TARGET_DIR

          static final String DEPLOYMENT_TARGET_DIR

      See Also:
        Constant Field Values

    - #### DOMAIN_CONFIG

          static final String DOMAIN_CONFIG

      See Also:
        Constant Field Values

    - #### FAIL_ON_ERROR

          static final String FAIL_ON_ERROR

      See Also:
        Constant Field Values

    - #### HOST_CONFIG

          static final String HOST_CONFIG

      See Also:
        Constant Field Values

    - #### HOSTNAME

          static final String HOSTNAME

      See Also:
        Constant Field Values

    - #### ID

          static final String ID

      See Also:
        Constant Field Values

    - #### IGNORE_MISSING_DEPLOYMENT

          static final String IGNORE_MISSING_DEPLOYMENT

      See Also:
        Constant Field Values

    - #### JAVA_HOME

          static final String JAVA_HOME

      See Also:
        Constant Field Values

    - #### JBOSS_HOME

          static final String JBOSS_HOME

      See Also:
        Constant Field Values

    - #### JAVA_OPTS

          static final String JAVA_OPTS

      See Also:
        Constant Field Values

    - #### MODULE_OPTS

          static final String MODULE_OPTS

      See Also:
        Constant Field Values

    - #### MODULES_PATH

          static final String MODULES_PATH

      See Also:
        Constant Field Values

    - #### OFFLINE

          static final String OFFLINE

      See Also:
        Constant Field Values

    - #### PASSWORD

          static final String PASSWORD

      See Also:
        Constant Field Values

    - #### PORT

          static final String PORT

      See Also:
        Constant Field Values

    - #### PROPERTIES_FILE

          static final String PROPERTIES_FILE

      See Also:
        Constant Field Values

    - #### PROTOCOL

          static final String PROTOCOL

      See Also:
        Constant Field Values

    - #### PROFILES

          static final String PROFILES

      See Also:
        Constant Field Values

    - #### RELOAD

          static final String RELOAD

      See Also:
        Constant Field Values

    - #### RESOLVE_EXPRESSIONS

          static final String RESOLVE_EXPRESSIONS

      See Also:
        Constant Field Values

    - #### SCRIPTS

          static final String SCRIPTS

      See Also:
        Constant Field Values

    - #### SERVER_ARGS

          static final String SERVER_ARGS

      See Also:
        Constant Field Values

    - #### SERVER_CONFIG

          static final String SERVER_CONFIG

      See Also:
        Constant Field Values

    - #### SERVER_GROUPS

          static final String SERVER_GROUPS

      See Also:
        Constant Field Values

    - #### SKIP

          static final String SKIP

      See Also:
        Constant Field Values

    - #### SKIP_PROVISION

          static final String SKIP_PROVISION

      See Also:
        Constant Field Values

    - #### SKIP_PACKAGE

          static final String SKIP_PACKAGE

      See Also:
        Constant Field Values

    - #### SKIP_PACKAGE_DEPLOYMENT

          static final String SKIP_PACKAGE_DEPLOYMENT

      See Also:
        Constant Field Values

    - #### STARTUP_TIMEOUT

          static final String STARTUP_TIMEOUT

      See Also:
        Constant Field Values

    - #### STDOUT

          static final String STDOUT

      See Also:
        Constant Field Values

    - #### TIMEOUT

          static final String TIMEOUT

      See Also:
        Constant Field Values

    - #### USERNAME

          static final String USERNAME

      See Also:
        Constant Field Values

    - #### WILDFLY_AUTH_CLIENT_CONFIG

          static final String WILDFLY_AUTH_CLIENT_CONFIG

      See Also:
        Constant Field Values

    - #### WILDFLY_FEATURE_PACK_LOCATION

          static final String WILDFLY_FEATURE_PACK_LOCATION

      See Also:
        Constant Field Values

    - #### WILDFLY_IMAGE_BINARY

          static final String WILDFLY_IMAGE_BINARY

      See Also:
        Constant Field Values

    - #### WILDFLY_LAYERS_CONFIGURATION_FILE_NAME

          static final String WILDFLY_LAYERS_CONFIGURATION_FILE_NAME

      See Also:
        Constant Field Values

    - #### WILDFLY_ORIGINAL_ARTIFACT_VERSION_RESOLUTION

          static final String WILDFLY_ORIGINAL_ARTIFACT_VERSION_RESOLUTION

      See Also:
        Constant Field Values

    - #### WILDFLY_PACKAGING_EXTRA_CONTENT_DIRS

          static final String WILDFLY_PACKAGING_EXTRA_CONTENT_DIRS

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_DIR

          static final String WILDFLY_PROVISIONING_DIR

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_FEATURE_PACKS

          static final String WILDFLY_PROVISIONING_FEATURE_PACKS

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_FILE

          static final String WILDFLY_PROVISIONING_FILE

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_LAYERS

          static final String WILDFLY_PROVISIONING_LAYERS

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_LAYERS_EXCLUDED

          static final String WILDFLY_PROVISIONING_LAYERS_EXCLUDED

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_LOG_TIME

          static final String WILDFLY_PROVISIONING_LOG_TIME

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_OFFLINE

          static final String WILDFLY_PROVISIONING_OFFLINE

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_OVERWRITE_PROVISIONED_SERVER

          static final String WILDFLY_PROVISIONING_OVERWRITE_PROVISIONED_SERVER

      See Also:
        Constant Field Values

    - #### WILDFLY_PROVISIONING_RECORD_STATE

          static final String WILDFLY_PROVISIONING_RECORD_STATE

      See Also:
        Constant Field Values

    - #### WILDFLY_VERSION

          static final String WILDFLY_VERSION

      See Also:
        Constant Field Values